using System;

namespace ConsoleApp1
{
    class Program
    {
        static bool moze(int [] a,int l,int r)
        {
            bool bilo = false;
            for(int i=l;i<r-1;i++)
            {
                if (a[i] > a[i + 1] && bilo)
                    return false;
                else if (a[i] > a[i+1] )
                    bilo = true;
            }
            return true;
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[] a = Array.ConvertAll(Console.ReadLine().Split(' '), int.Parse);
            int k = int.Parse(Console.ReadLine());
            bool[] izlaz = new bool[k];
            for(int i=0;i<k;i++)
            {
                string[] red = Console.ReadLine().Split(' ');
                int l = int.Parse(red[0]) - 1;
                int r = int.Parse(red[1]) - 1;
                izlaz[i] = moze(a, l, r);
            }
            foreach (bool x in izlaz)
                if (x)
                    Console.WriteLine("DA");
                else
                    Console.WriteLine("NE");
            Console.ReadLine();
        }
    }
}